Subject: Re: I-D ACTION:draft-ietf-sip-call-flows-00.txt

From: Rohan Mahy <[email-masked]>
Date: Thu, 09 Mar 2000 14:24:27 -0500

Hi,

I think messages F7 and F8 (183 responses) on Page 79 need the "Session:
Media" header.

Also, shouldn't F13 be after F14 (both PRACKs), and F15 be after F16 (200s
for the PRACKs) on Page 84?

thanks,
-rohan

At 10:11 AM 3/8/2000 -0600, you wrote:
>This is the second draft of the Call Flows document (first draft was titled
>draft-johnston-sip-call-flows-00.txt before it was accepted as a working
group
>draft).
>
>The major changes from the first draft are:
>
>	- Converted all figures to ASCII art.
>	- Incorporated "SIP Telephony Service Examples with Call Flows" (Sparks
et al),
>	  draft-sparks-sip-service-examples-00, and also SIP Test Messages from
the 2nd
>	  Bakeoff (Rosenberg and Schulzrinne) into the document.
>	- Fixed assorted typos.
>	- Made references to ISUP explicitly ANSI and added some comments
>	  on ITU and ETSI.
>	- Fixed CANCEL mistakes (use of tags, end to end acknowledgments, etc.)
>	- Added unique Authentication headers for each message.
>	- Added Reliable Provisional Responses (PRACK) to scenario 4.1.2 for 
>	  183 Session Progress
>	- Added simple SIP to SIP call without proxies 3.1.1
>	- Fixed "phone-context" and phone number handling in SIP URLs
>
>Any comments on the draft are greatly appreciated.
>
>Thanks to all the authors and the Call Flows Design Team.
>
>Alan Johnston
>MCI WorldCom
>
>[email-masked] wrote:
>> 
>> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>> This draft is a work item of the Session Initiation Protocol Working
Group of the IETF.
>> 
>>         Title           : SIP Telephony Call Flow Examples
>>         Author(s)       : A. Johnston, S. Donovan, R. Sparks,C. Cunningham,
>>                           K. Summers,  D. Willis, J. Rosenberg,  H.
Schulzrinne,
>>         Filename        : draft-ietf-sip-call-flows-00.txt
>>         Pages           : 268
>>         Date            : 06-Mar-00
>> 
>> This document gives examples of SIP (Session Initiation Protocol)
>> call flows for IP telephony and service examples.  Elements in these
>> call flows include SIP User Agents and Clients, SIP Proxy and
>> Redirect Servers, and Gateways to the PSTN (Public Switch Telephone
>> Network).  IP telephony scenarios include SIP Registration, SIP to
>> SIP calling, SIP to Gateway, Gateway to SIP, and Gateway to Gateway
>> via SIP.  Call flow diagrams and message details are shown.  PSTN
>> telephony protocols are illustrated using ISDN (Integrated Services
>> Digital Network), ANSI ISUP (ISDN User Part), and FGB (Feature Group
>> B) circuit associated signaling.  PSTN calls are illustrated using
>> global telephone numbers from the PSTN and private extensions served
>> on by a PBX (Private Branch Exchange).  Telephony service examples
>> illustrated with call flows include call hold, transfer, forwarding,
>> screening, and Find-Me.  Example SIP messages used for testing during
>> SIP 'bakeoff' events include SIP 'torture test' messages, and
>> messages with invalid parameters, methods, and tags.
>> 
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-sip-call-flows-00.txt
>> 
>> Internet-Drafts are also available by anonymous FTP. Login with the
username
>> "anonymous" and a password of your e-mail address. After logging in,
>> type "cd internet-drafts" and then
>>         "get draft-ietf-sip-call-flows-00.txt".
>> 
>> A list of Internet-Drafts directories can be found in
>> http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>> 
>> Internet-Drafts can also be obtained by e-mail.
>> 
>> Send a message to:
>>         [email-masked].
>> In the body type:
>>         "FILE /internet-drafts/draft-ietf-sip-call-flows-00.txt".
>> 
>> NOTE:   The mail server at ietf.org can return the document in
>>         MIME-encoded form by using the "mpack" utility.  To use this
>>         feature, insert the command "ENCODING mime" before the "FILE"
>>         command.  To decode the response(s), you will need "munpack" or
>>         a MIME-compliant mail reader.  Different MIME-compliant mail
readers
>>         exhibit different behavior, especially when dealing with
>>         "multipart" MIME messages (i.e. documents which have been split
>>         up into multiple messages), so check your local documentation on
>>         how to manipulate these messages.
>> 
>> 
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
>> 
>>
----------------------------------------------------------------------------
----
>> Content-Type: text/plain
>> Content-ID:     <[email-masked]>
>

---

From: Alan Johnston <[email-masked]>
Date: Thu, 09 Mar 2000 14:37:12 -0600

Rohan,

You are correct - the Session:Media header is missing from all 183 responses in
the document.  That will be fixed - thanks for pointing this out.

I think the sequence of PRACKs and 200 OKs in scenario 4.1.2 (page 84) is
correct.  PRACK is an end-to-end not hop-by-hop method (see Section 3 of
draft-ietf-sip-100rel), so the 200 OK response to it is generated by GW 1 and
forwarded by Proxy 1.  This is why there is no requirement that proxies support
the reliable response feature, but both User Agents must support it.

Thanks for your comments!

Alan.

---

From: Sunitha Kumar <[email-masked]>
Date: Thu, 09 Mar 2000 16:30:40 -0800

The draft is extremely useful. Thanks. I came across one inconsistency which is as
below:

In F18, for the BYE msg, should not the CSeq be 2 ?

sunitha

--
Sunitha Kumar
Software Engineer
Vovida Networks
(408) 957 - 6374

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 13 Mar 2000 02:56:30 -0500

> the reliable response feature, but both User Agents must support it.

Correct.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120 
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com